using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lambda02
{
    //public delegate T myDelegate<T>(T i, T j);
    public delegate T Func<T, TResult>(T i, T j);

    public class Program
    {
        public static void Main(string[] args)
        {
            //myDelegate<int> add = (i, j) => i + j;
            Func<int, int> add = (i, j) => i + j;

            Console.WriteLine("{0}", add(3, 4).ToString());

            Console.ReadLine();
        }
    }
}
